Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.view
Interface ParentView

All Known Subinterfaces:
  BookView, DesktopView, PageView

    public interface ParentView

A type of view that can contain Pages, Books or Portlets and supports methods for recursively searching them.

This interface is intended to be implemented only by BEA Weblogic Portal.BEA Systems reserves the right to add abstract methods to this interface without notice. Implementations of this interface by other parties must not be expected to compile without change in future versions of BEA Weblogic Portal.

Method Summary
`BookView` | `getBookView(String definitionLabel)` Gets an immediate child book with a given label.
`BookView` | `getBookViewRecursive(BookDefinitionId bookDefinitionId)` Get the book for a given database definition ID, searching the entire tree of nested books and pages.
`BookView` | `getBookViewRecursive(BookInstanceId bookInstanceId)` Get the book for a given database instance ID, searching the entire tree of nested books.
`BookView` | `getBookViewRecursive(String bookDefinitionLabel)` Get the book for a given definition label, searching the entire tree of nested books.
`List<BookView>` | `getBookViewsRecursive()` Return an exhaustive list of all books under this parent and children
`PageView` | `getPageView(String definitionLabel)` Gets an immediate child page with a given label.
`PageView` | `getPageViewRecursive(PageDefinitionId pageDefinitionId)` Get the page for a given database definition ID, searching the entire tree of nested books.
`PageView` | `getPageViewRecursive(PageInstanceId pageInstanceId)` Get the page for a given database instance ID, searching the entire tree of nested books.
`PageView` | `getPageViewRecursive(String pageDefinitionLabel)` Get the book for a given definition label, searching the entire tree of nested books.
`List<PageView>` | `getPageViewsRecursive()` Return an exhaustive list of all pages under this parent and children
`PortletView` | `getPortletViewRecursive(PortletInstanceId portletInstanceId)` Get the portlet for a given database instance id, searching the entire tree of nested books.
`PortletView` | `getPortletViewRecursive(String instanceLabel)` Get the portlet for a given instance label, searching the entire tree of nested books.

Method Detail

### getBookViewRecursive

    BookView getBookViewRecursive(BookInstanceId bookInstanceId)

  Get the book for a given database instance ID, searching the entire tree of nested books. Return null if no such book is found.

### getBookViewRecursive

    BookView getBookViewRecursive(BookDefinitionId bookDefinitionId)

  Get the book for a given database definition ID, searching the entire tree of nested books and pages. Return null if no such book is found.

### getBookViewRecursive

    BookView getBookViewRecursive(String bookDefinitionLabel)

  Get the book for a given definition label, searching the entire tree of nested books. Return null if no such book is found.

### getPageViewRecursive

    PageView getPageViewRecursive(PageInstanceId pageInstanceId)

  Get the page for a given database instance ID, searching the entire tree of nested books. Return null if no such page is found.

### getPageViewRecursive

    PageView getPageViewRecursive(String pageDefinitionLabel)

  Get the book for a given definition label, searching the entire tree of nested books. Return null if no such page is found.

### getPageViewRecursive

    PageView getPageViewRecursive(PageDefinitionId pageDefinitionId)

  Get the page for a given database definition ID, searching the entire tree of nested books. Return null if no such page is found.

### getPortletViewRecursive

    PortletView getPortletViewRecursive(PortletInstanceId portletInstanceId)

  Get the portlet for a given database instance id, searching the entire tree of nested books. Return null if no such portlet is found.

  Parameters
    `portletInstanceId` - as defined in the database.
  Returns
    a portletView if found otherwise null

### getPortletViewRecursive

    PortletView getPortletViewRecursive(String instanceLabel)

  Get the portlet for a given instance label, searching the entire tree of nested books. Return null if no such portlet is found.

  Parameters
    `instanceLabel` - the instance label of the portlet.
  Returns
    a portletView if found otherwise null

### getBookView

    BookView getBookView(String definitionLabel)

  Gets an immediate child book with a given label.

  Parameters
    `definitionLabel` - of the child we are looking for.
  Returns
    the book view if it exists otherwise null.

### getPageView

    PageView getPageView(String definitionLabel)

  Gets an immediate child page with a given label.

  Parameters
    `definitionLabel` - of the child we are looking for.
  Returns
    the page view if it exists otherwise null.

### getPageViewsRecursive

    List<PageView> getPageViewsRecursive()

  Return an exhaustive list of all pages under this parent and children

  Returns
    a non-null collection of PageViews.

### getBookViewsRecursive

    List<BookView> getBookViewsRecursive()

  Return an exhaustive list of all books under this parent and children

  Returns
    a non-null collection of BookViews.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved